Page MenuHomePhabricator

Lots of npm WARN deprecated warnings from npm install on MediaWiki core
Open, MediumPublic

Description

Can we fix up this mess?

As of 2018-06-21:

  • nomnom@1.8.1
  • nodemailer@2.7.2
  • node-uuid@1.4.8
  • socks@1.1.10
  • socks@1.1.9
  • mailcomposer@4.0.1
  • buildmail@4.0.1
  • uws@9.14.0

As of 2019-01-25:

  • eslint-config-wikimedia@0.10.0
    • circular-json@0.3.3
  • grunt-jsonlint@1.1.0, T220036
    • nomnom@1.8.1
  • karma@3.1.4, T222293
  • webdriverio@4.12.0
    • boom@4.3.1

As of 2019-04-30:

  • grunt-jsonlint@1.1.0, T220036
    • nomnom@1.8.1
  • karma@3.1.4, T222293
  • stylelint@9.6.0, Task TBC; requires Node 8+ for CI
    • circular-json@0.3.3
  • wdio-junit-reporter@0.2.0, Task TBC; requires Node 8+ for CI
    • core-js@1.2.7
  • webdriverio@4.12.0
    • hawk@6.0.2
    • boom@4.3.1
    • sntp@2.1.0
    • cryptiles@3.1.4
    • hoek@4.2.1
    • boom@5.2.0

Event Timeline

Reedy created this task.Jun 21 2018, 8:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 21 2018, 8:36 PM
Vvjjkkii renamed this task from npm warn deprecated to 2haaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 2haaaaaaaa to npm warn deprecated.Jul 2 2018, 11:11 AM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Those happen after running npm test as far as I can see on the zuul console. Where are the npm packages specified?

In package.json. These problematic packages are probably dependencies of dependencies of dependencies of dependencies of dependencies of packages we actually use.

So some cannot be fixed without upstream intervention I guess?

Current output as of January 2019:

npm WARN deprecated circular-json@0.3.3: CircularJSON is in maintenance only, flatted is its successor.
npm WARN deprecated nomnom@1.8.1: Package no longer supported. Contact support@npmjs.com for more info.
npm WARN deprecated circular-json@0.5.9: CircularJSON is in maintenance only, flatted is its successor.
npm WARN deprecated boom@4.3.1: This version is no longer maintained. Please upgrade to the latest version.

With the partial trees to trace the cause:

circular-json
└─┬ eslint-config-wikimedia@0.10.0 
  └─┬ eslint@5.12.1 
    └─┬ file-entry-cache@2.0.0 
      └─┬ flat-cache@1.3.4 
        ├── circular-json@0.3.3
nomnom
└─┬ grunt-jsonlint@1.1.0 
  └─┬ jsonlint@1.6.2 
    └─┬ nomnom@1.8.1
boom
└─┬ webdriverio@4.12.0 
  └─┬ request@2.83.0 
    └─┬ hawk@6.0.2 
      └── boom@4.3.1

There are existing upstream tasks:

The eslint issue was fixed in 0.11.0, which is now released and widely used.

For jsonlint, I've filed T220036 and https://github.com/wikimedia/eslint-config-wikimedia/issues/166.

Upgrading webdriverio to v.5 is T213268.

zeljkofilipin moved this task from Backlog 🔙 to In Progress 🔨 on the User-zeljkofilipin board.
zeljkofilipin added a subscriber: zeljkofilipin.

Upgrading webdriverio to v.5 is T213268.

A quicker fix would be updating to the latest webdriverio v4 (4.12.0 > 4.14.4). I'll see if that fixes the problem.

zeljkofilipin triaged this task as Medium priority.Apr 5 2019, 12:02 PM
Jdforrester-WMF renamed this task from npm warn deprecated to Lots of npm WARN deprecated warnings from npm install on MediaWiki core.May 1 2019, 5:22 PM
Jdforrester-WMF updated the task description. (Show Details)
matmarex removed a subscriber: matmarex.May 1 2019, 5:22 PM